FreeMat

- Main Page
- Related Pages

vtkPNMReader

Section: Visualization Toolkit IO Classes

# Usage

vtkPNMReader is a source object that reads pnm (portable anymap) files. This includes .pbm (bitmap), .pgm (grayscale), and .ppm (pixmap) files. (Currently this object only reads binary versions of these files.)

PNMReader creates structured point datasets. The dimension of the dataset depends upon the number of files read. Reading a single file results in a 2D image, while reading more than one file results in a 3D volume.

To read a volume, files must be of the form "FileName.<number>" (e.g., foo.ppm.0, foo.ppm.1, ...). You must also specify the DataExtent. The fifth and sixth values of the DataExtent specify the beginning and ending files to read.

To create an instance of class vtkPNMReader, simply invoke its constructor as follows

      obj = vtkPNMReader

# Methods

The class vtkPNMReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPNMReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPNMReader = obj.NewInstance ()`
- `vtkPNMReader = obj.SafeDownCast (vtkObject o)`
- `int = obj.CanReadFile (string fname)`
- `string = obj.GetFileExtensions ()` - PNM
- `string = obj.GetDescriptiveName ()`